package com.sv.mapper;

import com.sv.entity.MemberRefund;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * Mapper - 用户退款记录表
 *
 * @author lihong
 * @since 2018-08-07
 */
public interface MemberRefundMapper {

    /**
     * 新建用户退款记录表
     *
     * @param memberRefund 用户退款记录表
     */
    void insert(MemberRefund memberRefund);

    /**
     * 更新用户退款记录表
     *
     * @param memberRefund 用户退款记录表
     */
    void update(MemberRefund memberRefund);

    /**
     * 删除用户退款记录表
     *
     * @param id 编号
     * @return 删除数量
     */
    int delete(Integer id);

    /**
     * 删除用户退款记录表
     *
     * @param ids 编号数组
     * @return 删除数量
     */
    int deleteByIds(Integer[] ids);

    /**
     * 查询用户退款记录表
     *
     * @param id 编号
     * @return 用户退款记录表
     */
    MemberRefund findById(Integer id);

    /**
     * 查询用户退款记录表
     *
     * @return 用户退款记录表集合
     */
    List<MemberRefund> findAll();

    /**
     * api 通过订单号查找用户退款记录表
     */
    MemberRefund findByOrderSn(@Param("outTradeNo") String outTradeNo);
}